
Redmine - Defect #23917

LDAP login execution timeout

2016-09-23 17:10 - M K

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: LDAP Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Hi All

We have started experiencing issues while logging into local redmine server hosted on Win server 2012R2 with apache24. The

redmine is configured to use LDAP authentication. The login page return 500 error when using Active Directory credentials, but no

issues when using local redmine admin account.

The error on the browser:

Proxy Error

The proxy server received an invalid response from an upstream server.

The proxy server could not handle the request POST /login.

Reason: Error reading from remote server

Our Redmine Environment:

Redmine version                3.2.0.stable

Ruby version                   2.2.4-p230 (2015-12-16) [x64-mingw32]

Rails version                  4.2.5

Environment                    production

Database adapter               Mysql2

SCM:

Filesystem

Redmine plugins:

no plugin installed

The log

Started GET "/" for 127.0.0.1 at 2016-09-23 14:57:10 +0000

Processing by WelcomeController#index as HTML

Current user: anonymous

Rendered news/_news.html.erb (0.0ms)

Rendered welcome/index.html.erb within layouts/base (31.2ms)

Completed 200 OK in 94ms (Views: 56.0ms | ActiveRecord: 15.6ms)

Started GET "/" for 127.0.0.1 at 2016-09-23 14:57:15 +0000

Processing by WelcomeController#index as HTML

Current user: anonymous

Rendered news/_news.html.erb (0.0ms)

Rendered welcome/index.html.erb within layouts/base (15.6ms)

Completed 200 OK in 47ms (Views: 20.9ms | ActiveRecord: 15.6ms)

Started GET "/login" for 127.0.0.1 at 2016-09-23 14:57:17 +0000

Processing by AccountController#login as HTML

Current user: anonymous

Rendered account/login.html.erb within layouts/base (0.0ms)

Completed 200 OK in 16ms (Views: 11.5ms | ActiveRecord: 0.0ms)

Started POST "/login" for 127.0.0.1 at 2016-09-23 14:57:21 +0000

Processing by AccountController#login as HTML

Parameters: {"utf8"=>"✓",

"authenticity_token"=>"zjrjx8ofEVMOte9/fm0cK5oekJfqhwI0NAqrxG6hwLWHJWT1KIt6S7n68vv//f2Jz957Kd3jhUSpa/68EdQyaA==",

"back_url"=>"http://pe-ap06-ukpar/", "username"=>"nzm8nm", "password"=>"[FILTERED]", "login"=>"Login »"}

Current user: anonymous

An error occured when authenticating nzm8nm: execution expired

Rendered common/error.html.erb within layouts/base (0.0ms)
Completed 500 Internal Server Error in 64531ms (Views: 11.5ms | ActiveRecord: 0.0ms)

History

#1 - 2016-09-29 17:59 - Toshi MARUYAMA

- Category set to LDAP

#2 - 2016-09-29 18:03 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Invalid

Please use forum for question.
